<?php
/**
 * VW Spa Lite Theme Customizer
 *
 * @package VW Spa Lite
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function vw_spa_lite_customize_register( $wp_customize ) {

	//add home page setting pannel
	$wp_customize->add_panel( 'vw_spa_lite_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'VW Settings', 'vw-spa-lite' ),
	    'description' => __( 'Description of what this panel does.', 'vw-spa-lite' )
	) );

	
	
	//home page setting pannel
	$wp_customize->add_section('vw_spa_lite_footer-section',array(
        'title' => __('Address & Social','vw-spa-lite'),
        'description'   => __('Address and social links','vw-spa-lite'),
        'panel' => 'vw_spa_lite_panel_id',
    ));
    

    $wp_customize->add_setting('vw_spa_lite_address-title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    
    $wp_customize->add_control('vw_spa_lite_address-title',array(
            'label' => __('Address Title','vw-spa-lite'),
            'section' => 'vw_spa_lite_footer-section',
            'setting'   => 'vw_spa_lite_address-title',
            'type'  => 'text'
        )
    );
    $wp_customize->add_setting('vw_spa_lite_address',array(
        'default'   => '',
        'sanitize_callback' => 'wp_kses_post',
    	)
    );
    
    $wp_customize->add_control('vw_spa_lite_address',array(
            'label' => __('Our Address','vw-spa-lite'),
            'section' => 'vw_spa_lite_footer-section',
            'setting'   => 'vw_spa_lite_address',
            'type'  => 'textarea'
        )
    );
    
    $wp_customize->add_setting('vw_spa_lite_contact-number',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    
    $wp_customize->add_control('vw_spa_lite_contact-number',array(
            'label' => __('Contact No ','vw-spa-lite'),
            'section' => 'vw_spa_lite_footer-section',
            'setting'   => 'vw_spa_lite_contact-number',
            'type'  => 'text'
        )
    );
    
    $wp_customize->add_setting('vw_spa_lite_cont_email',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    
    $wp_customize->add_control('vw_spa_lite_cont_email',array(
            'label' => __('Email Address','vw-spa-lite'),
            'section' => 'vw_spa_lite_footer-section',
            'setting'   => 'vw_spa_lite_cont_email',
            'type'  => 'text'
        )
    );

    //Follow us
    $wp_customize->add_setting('vw_spa_lite_follow_us',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    
    $wp_customize->add_control('vw_spa_lite_follow_us',array(
            'label' => __('Follow Us heading','vw-spa-lite'),
            'section' => 'vw_spa_lite_footer-section',
            'setting'   => 'vw_spa_lite_follow_us',
            'type'  => 'text'
        )
    );

    $wp_customize->add_setting('vw_spa_lite_twitter-url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));

	$wp_customize->add_control('vw_spa_lite_twitter-url',array(
		'label'	=> __('Twitter url ','vw-spa-lite'),
		'section' => 'vw_spa_lite_footer-section',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('vw_spa_lite_google-plus-url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));

	$wp_customize->add_control('vw_spa_lite_google-plus-url',array(
		'label'	=> __('Google plus url ','vw-spa-lite'),
		'section' => 'vw_spa_lite_footer-section',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('vw_spa_lite_facebook-url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));

	$wp_customize->add_control('vw_spa_lite_facebook-url',array(
		'label'	=> __('Facebook url ','vw-spa-lite'),
		'section' => 'vw_spa_lite_footer-section',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('vw_spa_lite_pinterest-url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));

	$wp_customize->add_control('vw_spa_lite_pinterest-url',array(
		'label'	=> __('Pinterest url ','vw-spa-lite'),
		'section' => 'vw_spa_lite_footer-section',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('vw_spa_lite_rss-url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));

	$wp_customize->add_control('vw_spa_lite_rss-url',array(
		'label'	=> __('Rss url ','vw-spa-lite'),
		'section' => 'vw_spa_lite_footer-section',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('vw_spa_lite_tumblr-url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));

	$wp_customize->add_control('vw_spa_lite_tumblr-url',array(
		'label'	=> __('Tumblr url ','vw-spa-lite'),
		'section' => 'vw_spa_lite_footer-section',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('vw_spa_lite_linkedin-url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));

	$wp_customize->add_control('vw_spa_lite_linkedin-url',array(
		'label'	=> __('Linkedin url ','vw-spa-lite'),
		'section' => 'vw_spa_lite_footer-section',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('vw_spa_lite_instagram-url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));

	$wp_customize->add_control('vw_spa_lite_instagram-url',array(
		'label'	=> __('Instagram url ','vw-spa-lite'),
		'section' => 'vw_spa_lite_footer-section',
		'type'	=> 'text'
	));

	$wp_customize->add_section('vw_spa_lite_footer_section',array(
		'title'	=> __('Copyright','vw-spa-lite'),
		'description'	=> '',
		'priority'	=> null,
		'panel' => 'vw_spa_lite_panel_id',
	));
	
	$wp_customize->add_setting('vw_spa_lite_footer_copy',array(
		'default'	=> '',
		'sanitize_callback'	=> 'wp_kses_post',
	));
	
	$wp_customize->add_control('vw_spa_lite_footer_copy',array(
		'label'	=> __('Copyright Text','vw-spa-lite'),
		'section'	=> 'vw_spa_lite_footer_section',
		'type'		=> 'textarea'
	));
	/** home page setions end here**/	
}
add_action( 'customize_register', 'vw_spa_lite_customize_register' );


/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class vw_spa_lite_customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		require_once( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'vw_spa_lite_customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new vw_spa_lite_customize_Section_Pro(
				$manager,
				'example_1',
				array(
					'title'    => esc_html__( 'VW SPA Pro', 'vw-spa-lite' ),
					'pro_text' => esc_html__( 'Go Pro',         'vw-spa-lite' ),
					'pro_url'  => 'https://www.vwthemes.com/premium/salon-spa-wordpress-theme/'
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'vw-spa-lite-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'vw-spa-lite-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
vw_spa_lite_customize::get_instance();